org.apache.poi.hslf.record

## Enum TextSpecInfoRun.SpellInfoEnum

- java.lang.Object
- - java.lang.Enum<TextSpecInfoRun.SpellInfoEnum>
  - - org.apache.poi.hslf.record.TextSpecInfoRun.SpellInfoEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextSpecInfoRun.SpellInfoEnum>
  Enclosing class:
    TextSpecInfoRun

      public static enum TextSpecInfoRun.SpellInfoEnum
      extends java.lang.Enum<TextSpecInfoRun.SpellInfoEnum>

  A enum that specifies the spelling status of a run of text.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `clean` the text needs rechecking.
    `correct` the text is spelled correct
    `error` the text is spelled incorrectly.
    `grammar` the text has a grammar error.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextSpecInfoRun.SpellInfoEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextSpecInfoRun.SpellInfoEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### error

          public static final TextSpecInfoRun.SpellInfoEnum error

      the text is spelled incorrectly.

    - #### clean

          public static final TextSpecInfoRun.SpellInfoEnum clean

      the text needs rechecking.

    - #### grammar

          public static final TextSpecInfoRun.SpellInfoEnum grammar

      the text has a grammar error.

    - #### correct

          public static final TextSpecInfoRun.SpellInfoEnum correct

      the text is spelled correct

  - ### Method Detail

    - #### values

          public static TextSpecInfoRun.SpellInfoEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextSpecInfoRun.SpellInfoEnum c : TextSpecInfoRun.SpellInfoEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextSpecInfoRun.SpellInfoEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.